Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class XSDBoolean

    java.lang.Object
      org.mindswap.pellet.datatypes.BaseDatatype
          org.mindswap.pellet.datatypes.BaseAtomicDatatype
              org.mindswap.pellet.datatypes.XSDBoolean

All Implemented Interfaces:
  AtomicDatatype, Datatype

Direct Known Subclasses:
  XSDBoolean.XSDDerivedBooleanType

    public class XSDBoolean

extends BaseAtomicDatatype
implements AtomicDatatype

Author:
  Evren Sirin

Nested Class Summary
`class` | `XSDBoolean.XSDDerivedBooleanType`

Field Summary
`static XSDBoolean` | `instance`

Method Summary
`boolean` | `contains(java.lang.Object value)`
`AtomicDatatype` | `difference(AtomicDatatype dt)`
`AtomicDatatype` | `getPrimitiveType()`
`aterm.ATermAppl` | `getValue(int i)`
`java.lang.Object` | `getValue(java.lang.String value, java.lang.String datatypeURI)`
`AtomicDatatype` | `intersection(AtomicDatatype dt)`
`AtomicDatatype` | `not()`
`Datatype` | `singleton(java.lang.Object value)`
`int` | `size()`
`AtomicDatatype` | `union(AtomicDatatype dt)`

Methods inherited from class org.mindswap.pellet.datatypes.BaseAtomicDatatype
`enumeration, isDerived, toString`

Methods inherited from class org.mindswap.pellet.datatypes.BaseDatatype
`contains, getName, getURI, isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.AtomicDatatype
`enumeration`

Methods inherited from interface org.mindswap.pellet.datatypes.Datatype
`contains, getName, getURI, isEmpty`

Field Detail

### instance

    public static final XSDBoolean instance

Method Detail

### not

    public AtomicDatatype not()

  Specified by:
    `not` in interface `AtomicDatatype`
  Overrides:
    `not` in class `BaseAtomicDatatype`

### intersection

    public AtomicDatatype intersection(AtomicDatatype dt)

  Specified by:
    `intersection` in interface `AtomicDatatype`
  Overrides:
    `intersection` in class `BaseAtomicDatatype`

### union

    public AtomicDatatype union(AtomicDatatype dt)

  Specified by:
    `union` in interface `AtomicDatatype`
  Overrides:
    `union` in class `BaseAtomicDatatype`

### difference

    public AtomicDatatype difference(AtomicDatatype dt)

  Specified by:
    `difference` in interface `AtomicDatatype`
  Overrides:
    `difference` in class `BaseAtomicDatatype`

### size

    public int size()

  Specified by:
    `size` in interface `Datatype`
  Overrides:
    `size` in class `BaseAtomicDatatype`

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `Datatype`
  Overrides:
    `contains` in class `BaseAtomicDatatype`

### singleton

    public Datatype singleton(java.lang.Object value)

  Specified by:
    `singleton` in interface `Datatype`
  Overrides:
    `singleton` in class `BaseAtomicDatatype`

### getValue

    public java.lang.Object getValue(java.lang.String value,
                                     java.lang.String datatypeURI)

  Specified by:
    `getValue` in interface `Datatype`

### getPrimitiveType

    public AtomicDatatype getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `AtomicDatatype`

### getValue

    public aterm.ATermAppl getValue(int i)

  Specified by:
    `getValue` in interface `Datatype`
  Overrides:
    `getValue` in class `BaseAtomicDatatype`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.